aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar Tom Willemse2020-04-15 00:24:20 -0700
committerGravatar Tom Willemse2020-04-15 00:24:20 -0700
commit8c5f9a0478de4a8e7cb8507e6a68e747c0c0694b (patch)
tree84fd1e4a821d2596a31f4fc16e6d3c756b45bdea
parente99d483dffed9581963613557840d1fc5edf3d40 (diff)
downloadstumpwm-8c5f9a0478de4a8e7cb8507e6a68e747c0c0694b.tar.gz
stumpwm-8c5f9a0478de4a8e7cb8507e6a68e747c0c0694b.zip
Add ellipsis.sh that warns if i3lock doesn’t exist
-rw-r--r--ellipsis.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/ellipsis.sh b/ellipsis.sh
new file mode 100644
index 0000000..b4daede
--- /dev/null
+++ b/ellipsis.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+ensure_used_programs() {
+ if ! util.cmd_exists "i3lock"; then
+ echo "Can't find i3lock, screenlocking won't work." >&2
+ fi
+}
+
+pkg.install() {
+ ensure_used_programs
+}
+
+pkg.pull() {
+ ensure_used_programs
+}
+
+pkg.reinstall() {
+ ensure_used_programs
+}